---
title: Read Company Request Challenge Status
description: The GET {{orchestratePath}}/company/{{companyID}}/request/{{flowChallengeID}}/status operation returns information about the status of the specified flow challenge ID.
component: pingone-api
page_id: pingone-api:auth:pingone-davinci/davinci-runtime-apis/dvflows/read-company-request-challenge-status
canonical_url: https://developer.pingidentity.com/pingone-api/auth/pingone-davinci/davinci-runtime-apis/dvflows/read-company-request-challenge-status.html
section_ids:
  headers: Headers
  example-request: Example Request
---

# Read Company Request Challenge Status

##

```none
GET {{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status
```

The `GET {{orchestratePath}}/company/{{companyID}}/request/{{flowChallengeID}}/status` operation returns information about the status of the specified flow challenge ID.

This request uses the `{{orchestratePath}}` variable, which represents the DaVinci administrator API domain. Refer to [PingOne API domains](../../../../before-you-begin/introduction.html#pingone-api-domains) for more information.

The `{{companyID}}` variable in the request URL represents the PingOne environment ID associated with the DaVinci company resource.

The `{{flowChallengeID}}` variable represents a "challenge" created by a connector in the PingOne DaVinci flow. For more information, refer to [Challenge Connector](https://docs.pingidentity.com/connectors/challenge_connector.html).

|   |                                                                                                                                                                    |
| - | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|   | This request uses an API Key to authenticate the request. The HTTP header uses the `X-SK-API-KEY` header and the value is the DaVinci application's API Key value. |

### Headers

Authorization      X-SK-API-Key {{davinciApiKey}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status'
```

```csharp
var options = new RestClientOptions("{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/company/{{companyID}}/request/{{flowChallengeID}}/status HTTP/1.1
Host: {{orchestratePath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{orchestratePath}}/v1/company/{{companyID}}/request/{{flowChallengeID}}/status")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```
